Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » can't install latest glassfish tools on luna m7
can't install latest glassfish tools on luna m7 [message #1372399] Wed, 21 May 2014 16:31 Go to next message
Palmer Eldritch is currently offline Palmer Eldritch
Messages: 40
Registered: February 2011
Member
I get :

Quote:
Cannot complete the install because one or more required items could not be found.
Software being installed: GlassFish Tools 6.5.0.201405081811 (oracle.eclipse.tools.glassfish.feature.group 6.5.0.201405081811)
Missing requirement: GlassFish Tools 6.5.0.201405081811 (oracle.eclipse.tools.glassfish 6.5.0.201405081811) requires 'bundle org.apache.ant [1.8.4,1.9.0)' but it could not be found
Cannot satisfy dependency:
From: GlassFish Tools 6.5.0.201405081811 (oracle.eclipse.tools.glassfish.feature.group 6.5.0.201405081811)
To: oracle.eclipse.tools.glassfish [6.5.0.201405081811]


Product: Eclipse 4.4.0.20140507-1817 (org.eclipse.epp.package.jee.product)
eclipse.buildId=4.4.0.I20140501-0200
java.version=1.8.0


What should I do ?


eclipse-kepler JEE
Win7 x64
Re: can't install latest glassfish tools on luna m7 [message #1374566 is a reply to message #1372399] Thu, 22 May 2014 13:59 Go to previous messageGo to next message
Roberto Sanchez Herrera is currently offline Roberto Sanchez Herrera
Messages: 28
Registered: January 2011
Junior Member
The Luna M7 Java EE package includes ant 1.9.2, and the failing constraint excludes ant 9.x:

Missing requirement: GlassFish Tools 6.5.0.201405081811 (oracle.eclipse.tools.glassfish 6.5.0.201405081811) requires 'bundle org.apache.ant [1.8.4,1.9.0)' but it could not be found

Maybe you could check if the GlassFish Tools 6.5.0 supports Eclipse Luna (the Kepler package includes ant 1.8.4, which fits in the range).
Re: can't install latest glassfish tools on luna m7 [message #1374825 is a reply to message #1374566] Thu, 22 May 2014 16:30 Go to previous messageGo to next message
Palmer Eldritch is currently offline Palmer Eldritch
Messages: 40
Registered: February 2011
Member
Roberto Sanchez Herrera wrote on Thu, 22 May 2014 13:59
The Luna M7 Java EE package includes ant 1.9.2, and the failing constraint excludes ant 9.x:

Missing requirement: GlassFish Tools 6.5.0.201405081811 (oracle.eclipse.tools.glassfish 6.5.0.201405081811) requires 'bundle org.apache.ant [1.8.4,1.9.0)' but it could not be found

Maybe you could check if the GlassFish Tools 6.5.0 supports Eclipse Luna (the Kepler package includes ant 1.8.4, which fits in the range).

Thanks!
Hmm apparently the marketplace does not support search per eclipse release: http://marketplace.eclipse.org/search/site/GlassFish%2520Tools

Could you point me to some forum/tracker where I could get more info ?


eclipse-kepler JEE
Win7 x64
Re: can't install latest glassfish tools on luna m7 [message #1374847 is a reply to message #1374825] Thu, 22 May 2014 16:41 Go to previous messageGo to next message
Roberto Sanchez Herrera is currently offline Roberto Sanchez Herrera
Messages: 28
Registered: January 2011
Junior Member
Sorry, I do not have a link to a forum, but in the Market place entry, there is a Home button, that might be what you need.

Re: can't install latest glassfish tools on luna m7 [message #1374935 is a reply to message #1374847] Thu, 22 May 2014 17:31 Go to previous messageGo to next message
Konstantin Komissarchik is currently offline Konstantin Komissarchik
Messages: 940
Registered: July 2009
Senior Member
Here is the URL of the repository with Luna version of Oracle Tools. Tested with Luna M7.

http://download.oracle.com/otn_software/oepe/luna/

Here is the forum for Oracle Tools.

https://community.oracle.com/community/developer/english/development_tools/application_development_in_java/enterprise_pack_for_eclipse
Re: can't install latest glassfish tools on luna m7 [message #1375027 is a reply to message #1374847] Thu, 22 May 2014 18:27 Go to previous message
Palmer Eldritch is currently offline Palmer Eldritch
Messages: 40
Registered: February 2011
Member
Roberto Sanchez Herrera wrote on Thu, 22 May 2014 16:41
Sorry, I do not have a link to a forum, but in the Market place entry, there is a Home button, that might be what you need.

Thanks !

Ended up posting here: https://community.oracle.com/community/developer/english/development_tools/application_development_in_java/enterprise_pack_for_eclipse

waiting for approval...

EDIT: I just saw the post by Konstantin Komissarchik - going to check this out

EDIT2: yep ! the update site ( http://download.oracle.com/otn_software/oepe/luna/) worked like a charm

Thanks Smile


eclipse-kepler JEE
Win7 x64

[Updated on: Thu, 22 May 2014 19:14]

Report message to a moderator

Previous Topic:HTTP Error 500 for Web Service Explorer
Next Topic:Extend JS content assist
Goto Forum:
  


Current Time: Thu Aug 21 06:31:20 EDT 2014

Powered by FUDForum. Page generated in 0.01801 seconds